package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.Unit;
import com.ruoyi.system.domain.Unit;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface IUnitService extends IService<Unit>
{
    public List<Unit> listS();

    Unit findOne(LambdaQueryWrapper<Unit> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(Unit vo);

    Integer selectCount(Wrapper<Unit> queryWrapper);
}
